/*******************************************************************************
*
*                    ATmega16 Timer 0 with Overflow
*                    ------------------------------
*
*   Filename:                                    
*   Autor:                  David Kress
*
*   Version:                1.0
*   Date:                   27.2.2014
*   Built with:             ATMEL AVR Studio 4.14 and AVR-GCC; Optimization -01
*
*
*   Clock source:           - Any 1Mhz clock
*
*   Recommended             - High: 0xD9
*   Fuse settings:          - Low:  0xC1
*
*
*
*   Schematic:       ___________________
*                   |      ATMEGA16     |
*          Vcc ---->|Vcc                |
*          Vcc ---->|RESET              |
*                   |                   |
*          GND ---->|GND                |
*                   |                   |
*                   |               PB0 |----> DOUT     
*                   |                   |
*
*******************************************************************************/
#include <avr/io.h>

int main(void)
{
    DDRB = 0x01;                    // Set PB0 as output
    TCCR0= (1<<CS02)|(1<<CS00);     // Start Timer 0 with prescaler 1024

	for(;;)                         // Endless loop;
    {


        if(TCNT0&0x80)              // Is the MSB of Timer1 = 1?
            PORTB |=0x01;           // Set PB0
        else                        // Is the MSB of Timer1 = 0?
            PORTB &= ~0x01;         // Reset PB0

    }   	                        // main() will never be left

	return 0;                       // This line will never be executed
}

